Subject: Re: bug#56333: 29.0.50; Trying to uncompress through Tramp: /bin/sh: 195: /usr/bin/bash: not found
From: Michael Albinus <[email-masked]>
To: Jean Louis <[email-masked]>
Cc: [email-masked]
Date: Tue, 12 Jul 2022 16:55:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 29.1

Michael Albinus <[email-masked]> writes:

Hi Jean,

>> I would not know how to debug this. I have tried using Z on remote host:
>> /scp:example.com:/var/www/websites/www.example.com
>>
>> on a file like web.tar.gz
>>
>> and I got this error in new opened buffer *dired-check-process output*:
>>
>> /bin/sh: 195: /usr/bin/bash: not found
>
> In dired-shell-command, the variable shell-file-name is used. This is
> "/usr/bin/bash" in your case, and it doesn't exist on the remote host.
>
> I've changed this function to use the connection-local value instead
> ("/bin/sh" by default). This should fix it.
>
> Pushed to master. Could you, pls, check?

No further comment (meaning no complaints :-) so I'm closing the bug.

Best regards, Michael.